Cocoon API: Interface Factory

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Interface Factory

All Superinterfaces:
  Actor

All Known Implementing Classes:
  Manager

public interface Factory
extends Actor

A factory is responsible to create and properly initialize dynamically loaded classes. The use of dynamic linking allows simpler management and stronger decoupling between the core classes and the actors.

Version:
  $Revision: 1.6 $ $Date: 2000/03/17 16:49:44 $
Author:
  Stefano Mazzocchi

Method Summary
`java.lang.Object` | `create(java.lang.String name)` Create the instance of a class given its name.
`java.lang.Object` | `create(java.lang.String name, Configurations conf)` Create the instance of a class and, if configurable, use the given configurations to configure it.
`java.util.Vector` | `create(java.util.Vector names)` Create a vector of instances given a vector of strings indicating their respective names.
`java.util.Vector` | `create(java.util.Vector names, Configurations conf)` Create a vector of instances with given configurations.

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Method Detail

### create

    public java.lang.Object create(java.lang.String name)

  Create the instance of a class given its name.

### create

    public java.lang.Object create(java.lang.String name,
                                   Configurations conf)

  Create the instance of a class and, if configurable, use the given configurations to configure it.

### create

    public java.util.Vector create(java.util.Vector names)

  Create a vector of instances given a vector of strings indicating their respective names.

### create

    public java.util.Vector create(java.util.Vector names,
                                   Configurations conf)

  Create a vector of instances with given configurations.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.